Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener Class Reference

SiteAccess match listener. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener:

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver, SessionInterface $session=null, SessionStorageInterface $sessionStorage=null)
| onSiteAccessMatch (PostSiteAccessMatchEvent $event)

## Static Public Member Functions
static | getSubscribedEvents ()

## Public Attributes
const | MARKER = '{siteaccess_hash}'
const | SESSION_NAME_PREFIX = 'eZSESSID'
| Prefix for session name. More...

## Private Member Functions
| getSessionName ($sessionName, SiteAccess $siteAccess)

## Private Attributes
| $configResolver
| $session
| $sessionStorage

## Detailed Description

SiteAccess match listener.

Allows to set a dynamic session name based on the siteaccess name.

Definition at line 24 of file SessionSetDynamicNameListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::__construct | ( | ConfigResolverInterface | $configResolver,
|  | SessionInterface | $session = `null`,
|  | SessionStorageInterface | $sessionStorage = `null`
| ) |  |

Parameters

  ConfigResolverInterface | $configResolver |
  SessionInterface | $session |
  \Symfony\Component\HttpFoundation\Session\Storage\SessionStorageInterface | $sessionStorage |

Definition at line 47 of file SessionSetDynamicNameListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\$configResolver, eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\$session, and eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\$sessionStorage.

## Member Function Documentation

## ◆ getSessionName()

eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::getSessionName | ( |  | $sessionName,
|  | SiteAccess | $siteAccess
| ) |  |
| private

Parameters

  string | $sessionName |
  \eZ\Publish\Core\MVC\Symfony\SiteAccess | $siteAccess |

Returns
  string

Definition at line 86 of file SessionSetDynamicNameListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\onSiteAccessMatch().

## ◆ getSubscribedEvents()

static eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 54 of file SessionSetDynamicNameListener.php.

References eZ\Publish\Core\MVC\Symfony\MVCEvents\SITEACCESS.

## ◆ onSiteAccessMatch()

eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::onSiteAccessMatch | ( | PostSiteAccessMatchEvent | $event | ) |

Definition at line 61 of file SessionSetDynamicNameListener.php.

References eZ\Publish\Core\MVC\Symfony\Event\PostSiteAccessMatchEvent\getRequestType(), eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\getSessionName(), and eZ\Publish\Core\MVC\Symfony\Event\PostSiteAccessMatchEvent\getSiteAccess().

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::$configResolver
| private

Definition at line 34 of file SessionSetDynamicNameListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\__construct().

## ◆ $session

eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::$session
| private

Definition at line 37 of file SessionSetDynamicNameListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\__construct().

## ◆ $sessionStorage

eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::$sessionStorage
| private

Definition at line 40 of file SessionSetDynamicNameListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener\__construct().

## ◆ MARKER

const eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::MARKER = '{siteaccess_hash}'

Definition at line 26 of file SessionSetDynamicNameListener.php.

## ◆ SESSION_NAME_PREFIX

const eZ\Bundle\EzPublishCoreBundle\EventListener\SessionSetDynamicNameListener::SESSION_NAME_PREFIX = 'eZSESSID'

Prefix for session name.

Definition at line 31 of file SessionSetDynamicNameListener.php.

The documentation for this class was generated from the following file:

- SessionSetDynamicNameListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.